%%
%% This is file `xepersian-thesis-iasbs.cls',
%%
%%
%% This is a changed file of xepersian-thesis to use for 
%% Institute for Advanced Studies in Basic Sciences (IASBS) MSc and PhD thesises
%% 
%% 
%%   __________________________________
%%   Copyright © 2009-2010 Mohammad Charsooghi
%% 
%%   License information appended.
%% 
%% 
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{book_style}
              [2009/01/05 v0.1
 Persian thesis document class in XeLaTeX]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{book}}
\ProcessOptions
\LoadClass{book}

\def\latintitle#1{\gdef\@latintitle{#1}}
\def\latinauthor#1{\gdef\@latinauthor{#1}}

\def\abstractpage{\newpage
\thispagestyle{empty}
\vskip 15mm
\begin{center}{\large{\bfseries \@title} \\}
\end{center}
\par
\begin{abstract}}
\def\endabstractpage{\end{abstract}
\newpage
}

\def\latinabstract{\newpage
\thispagestyle{empty}
\vskip 15mm
\begin{center}{\Large\bfseries \@latintitle \\[5mm]}
{\bfseries Abstract}
\end{center}
\vspace{5mm}}

\def\endlatinabstract{\newpage}

\def\acknowledgementpage{\newpage
\thispagestyle{empty}
\centerline{\Large \bfseries\acknowledgementname}
\vspace{1cm}
\par\noindent}
\def\endacknowledgementpage{\newpage}

\def\titlepage{\newpage\centering
  \thispagestyle{empty}
  \parindent 0pt \parskip 10pt plus 1fil minus 1fil
  \def\baselinestretch{1}\@normalsize\vbox to \vsize\bgroup\vbox to 9in\bgroup}
\def\endtitlepage{\par\kern 0pt\egroup\vss\egroup\newpage}

\def\signature#1#2{\par\noindent#1\dotfill\null\\*
  {\raggedright #2\par}}

\def\abstract{\subsection*{\abstractname}\small
\@normalsize}
\def\endabstract{\par}

\pagenumbering{adadi}
\let\ol@chapter\@chapter
\def\@chapter{%
 \ifnum\c@chapter=0 \pagenumbering{arabic}\setcounter{page}{1}\fi
  \ol@chapter}

\def\keywords#1{\par \vspace{5mm}
{\textbf{واژه‌های کلیدی:}} {\textit{ #1}}}

\def\latinkeywords#1{\par \vspace{5mm}
\noindent {\textbf{Keywords:}} {\textit{ #1}}}

\font\titlefont=cmssbx10 scaled 2074
\font\supervisorfont=cmbxti10


%\linespread{2}
%\setlength{\hoffset}{-0.5 cm}
%\setlength{\textwidth}{15 cm}

%% 
%% Copyright © 2009-2010      by Mohammad Charsooghi     <charsooghi@gmail.com>
%% 
%% Distributable under the LaTeX Project Public License,
%% version 1.3c or higher (your choice). The latest version of
%% this license is at: http://www.latex-project.org/lppl.txt
%% 
%% This work is "maintained" (as per LPPL maintenance status)
%% by Mohammad Charsooghi.
%% 
%% 
%% 
%% 
%%
%% End of file `xepersian-thesis-iasbs.cls'.
